#ifndef MP3X_H_LOADED
#define MP3X_H_LOADED 1

#include <inttypes.h>

typedef const uint8_t cbyte;

struct mp3_header_info {
    struct id3v2_header *metadata; /* array */
    int nmetadata;
    int metadata_size;
    char* filename;
    uint8_t major_version;
    uint8_t minor_version;
    uint8_t flags;
    size_t padding;       /* number of available bytes of padding */
    cbyte* base;          /* position of buffer holding header+data */
    cbyte* audio;
    cbyte* audio_end;
};
typedef struct mp3_header_info MP3Info;

const char* program_name();

#endif /* MP3X_H_LOADED */
